%define name   peazip-gtk2
%define version 6.0.1
%define release %mkrel 1
%define _requires_exceptions libgmp.so.3  

Summary: PeaZip GTK2 
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Archiving/Compression
License: LGPv3
URL:	 http://peazip.sourceforge.net/peazip-free-archiver.html
Source0: peazip_portable-%{version}.LINUX.GTK2.tar.xz
Source1: peazip_portable-%{version}.LINUX.x86_64.GTK2.tar.xz
Source2: peazip.png	
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ImageMagick
Obsoletes:  %name < %version

%description
PeaZip allows to apply powerful multiple search filters to archive's content; 
create and extract multiple archives at once; create self-extracting archives; 
export job definition as command line; save archive's layouts; bookmark archives 
and folders; scan and open with custom applications compressed and uncompressed 
files etc... Other features: strong encryption, robust file copy, split/join files
(file span), secure data deletion, compare, checksum and hash files, system benchmark,
generate random passwords and keyfiles.

%description -l de
PeaZip ist ein quelloffenes, plattformübergreifendes und portables Packprogramm.
Der Quellcode ist überwiegend in Free Pascal unter Verwendung von Lazarus geschrieben;
das Programm ist unter der LGPL für Windows und Linux als Installationspaket (Windows-
Installer, DEB, RPM, Slackware .tgz) und als portables Paket, das nicht installiert
werden muss und das System nicht verändert, freigegeben. PeaZip unterstützt das eigene
PEA-Archivformat, das Kompression, Aufteilen auf mehrere Archive und flexible Schemata
für zertifizierte Verschlüsselung und Integritätsüberprüfung unterstützt, und andere
weit verbreitete Formate mit speziellem Schwerpunkt auf offenen Formaten wie 7z und PAQ.
Mehr Informationen siehe<http://de.wikipedia.org/wiki/PeaZip>

%description -l sr
PeaZip омогућава Вам да примените моћне вишеструке филтере за претрагу садржаја архива; 
креирате и одпакујете више архива истовремено; креирате само-одпакујуће архиве; 
снимите дефиниције задатка као командну линију; снимите приказ архива; забележите архиве 
и фасцикле; скенирате и отварате својим програмима компресоване и некомпресоване 
документе итд... Остале могућности: јака енкрипција (шифровање), брзо копирање докумената, 
дељење/спајање докумената, сигурносно брисање података, упоређивање, провера интегритета
докумената (мд5), тестирање система, генерисање случајних лозинки и кључ-докумената.


%prep
%ifarch x86_64
%setup -qn peazip_portable-%{version}.LINUX.x86_64.GTK2 -b1
%else
%setup -qn peazip_portable-%{version}.LINUX.GTK2 -b0
%endif


%build

%install
rm -rf %{buildroot}
export DONT_STRIP=1

mkdir -p %buildroot%_datadir/%{name}
cp -af * %buildroot%_datadir/%{name}

#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./peazip
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PeaZip
Comment=Archiving/Compression Tool
Comment[de]=Archivirungs-/Komprimierungswerkzeug
Exec=%{name}
Icon=peazip.png
Type=Application
Terminal=false
Categories=GTK;Utility;Archiving;X-MandrivaLinux-System-Archiving-Compression;
EOF

#icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE2 %{buildroot}%_miconsdir/peazip.png
convert %{buildroot}%_miconsdir/peazip.png -resize 16x16 %{buildroot}%_miconsdir/peazip.png 
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/peazip.png
convert %{buildroot}%_iconsdir/peazip.png -resize 32x32 %{buildroot}%_iconsdir/peazip.png 
install -m 0644 %SOURCE2 %{buildroot}%_liconsdir/peazip.png
mkdir -p %{buildroot}%_datadir/pixmaps
install -m 0644 %SOURCE2 %{buildroot}%_datadir/pixmaps/peazip.png

# activate configuration for the user
cat > %buildroot%{_datadir}/peazip-gtk2/res/altconf.txt <<EOF
﻿[alternative configuration's path: specify a location for conf.txt and bookmarks.txt, using either absolute or relative path (use " and ' if needed); write "same" or let blank to not use an alternative configuration path]
appdata
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files 
%defattr(-,root,root,-)
%doc *.txt *.pdf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/peazip.png
%_miconsdir/peazip.png
%_iconsdir/peazip.png
%_liconsdir/peazip.png

%changelog
* Tue Nov 15 2016 adrianomorselli <adrianomorselli> 6.0.2-1uplos2016
- rebuild

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 6.0.2-1pclos2016
- 6.0.1

* Mon Mar 07 2016 ghostbunny <ghostbunny at gmx dot de> 6.0.0-1pclos2016
- 6.0.0

* Fri Oct 23 2015 ghostbunny <ghostbunny at gmx dot de> 5.8.1-1pclos2015
- 5.8.1

* Fri Oct 09 2015 ghostbunny <ghostbunny at gmx dot de> 5.8.0-1pclos2015
- 5.8.0

* Mon Aug 17 2015 ghostbunny <ghostbunny at gmx dot de> 5.7.1-1pclos2015
- 5.7.1

* Mon Jul 28 2015 ghostbunny <ghostbunny at gmx dot de> 5.7.0-1pclos2015
- 5.7.0

* Mon Jun 15 2015 ghostbunny <ghostbunny at gmx dot de> 5.6.1-1pclos2015
- 5.6.1

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 5.6.0-1pclos2015
- 5.6.0

* Tue Jan 27 2015 ghostbunny <ghostbunny at gmx dot de> 5.5.3-1pclos2015
- 5.5.3

* Tue Dec 23 2014 ghostbunny <ghostbunny at gmx dot de> 5.5.2-1pclos2014
- 5.5.2

* Tue Dec 09 2014 ghostbunny <ghostbunny at gmx dot de> 5.5.1-1pclos2014
- 5.5.1

* Sun Dec 07 2014 ghostbunny <ghostbunny at gmx dot de> 5.5.0-1pclos2014
- 5.5.0

* Wed Aug 13 2014 ghostbunny <ghostbunny at gmx dot de> 5.4.1-1pclos2014
- 5.4.1

* Sat Jul 12 2014 ghostbunny <ghostbunny at gmx dot de> 5.4.0-1pclos2014
- 5.4.0

* Fri Apr 18 2014 pinoc <vogtpet at gmail.com> 5.3.0-1pclos2014
- 5.3.0

* Sat Dec 14 2013 pinoc <vogtpet at gmail.com> 5.2.0-1pclos2013
- 5.2.0

* Sun Nov 17 2013 pinoc <vogtpet at gmail.com> 5.1.1-1pclos2013
- 5.1.1
- combined 32 and 64 into single package

* Tue Jun 25 2013 gseaman <galen.seaman at comcast.net> 5.0-1gseaman2013
- 5.0

* Wed Mar 13 2013 Ken <lxgator at gmail dot com> 4.9-1pclos2013
- 4.9

* Sat Nov 24 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8-1_archie_2012
- update

* Sun Nov 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.7.3-1_archie_2012
- update

* Wed Aug 22 2012 Neal <nealbrks0 at gmail dot com> 4.7.1-1_archie_2012
- process

* Wed Aug 22 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.7.1-1_archie_2012
- update

* Wed Aug 15 2012 Neal <nealbrks0 at gmail dot com> 4.7-1pclos2012
- process

* Mon Aug 13 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.7-1_archie_2012
- update

* Mon Jul 23 2012 Neal <nealbrks0 at gmail dot com> 4.6.1-1pclos2012
- process

* Mon Jul 23 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.6.1-1_archie_2012
- 4.6.1

* Tue Apr 10 2012 Neal <nealbrks0 at gmail.com> 4.5-1pclos2012
- process

* Tue Apr 10 2012 ghostbunny <ghostbunny at gmx dot de> 4.5-1pclos2012
- 4.5

* Tue Jan 31 2012 Neal <nealbrks0 at gmail dot com> 4.4-1pclos2012
- process

* Mon Jan 30 2012 ghostbunny <ghostbunny at gmx dot de> 4.4-1pclos2012
- 4.4
- added german comment in desktop file section
- added BuildRequires ImageMagick for converting the pic
- added entry set for in the altconf.txt file for user configuration

* Mon Jul 11 2011 Texstar <texstar at gmail.com> 3.8-1pclos2011
- 3.8

* Fri Feb 11 2011 Texstar <texstar at gmail.com> 3.6.1-1pclos2011
- 3.6.1

* Thu Dec 30 2010 Texstar <texstar at gmail.com> 3.6-1pclos2010
- 3.6

* Fri Sep 17 2010 Texstar <texstar at gmail.com> 3.3-1pclos2010
- 3.3

* Mon Jul 08 2010 slick50 <lxgator@gmail.com> 3.2.1-1pclos2010
- 3.2.1

* Tue Jun 15 2010 slick50 <lxgator@gmail.com> 3.2-1pclos2010
- 3.2

* Thu Apr 29 2010 slick50 <lxgator@gmail.com> 3.1-1pclos2010
- 3.1

* Sat Feb 20 2010 slick50 <lxgator@gmail.com> 3.0-1pclos2010
- 3.0

* Tue Jan 26 2010 slick50 <lxgator@gmail.com> 2.9.1-1pclos2010
- 2.9.1

* Mon Jan 18 2010 slick50 <lxgator@gmail.com> 2.9-1pclos2010
- 2.9


